Skip to main content
GET
List Collects

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:10

Number of collects to return, from 1 to 100. Default is 10.

Required range: 1 <= x <= 100
starting_after
string

A collect ID (starts with col_) used as a cursor. Returns the collects created after this collect, oldest first. Cannot be used together with ending_before.

ending_before
string

A collect ID (starts with col_) used as a cursor. Returns the collects created before this collect, newest first. Cannot be used together with starting_after.

created.gt
string<date-time>

Returns collects created after this time (RFC 3339, e.g. 2026-10-01T00:00:00Z).

created.gte
string<date-time>

Returns collects created at or after this time. Cannot be used together with created.gt.

created.lt
string<date-time>

Returns collects created before this time.

created.lte
string<date-time>

Returns collects created at or before this time. Cannot be used together with created.lt.

type
string

Filter by the type of the collect, exact match, e.g. wire_transfer, local_bank_transfer, stablecoin_usdc or stablecoin_usdt. local_bank_transfer also returns the currency specific local bank transfers (e.g. local_bank_transfer_eur).

destination
string

Filter by the collection account ID (starts with cva_, cwa_ or cta_).

status
string

Filter by the status of the collect, exact match: compliance_hold, on_hold, detected, succeeded or failed.

currency
string

Filter by the currency of the collect (ISO 4217, e.g. SGD, or a supported stablecoin).

on_behalf_of
string

Filter by the entity the collects were made on behalf of (starts with ent_).

Response

List of collects.

status
string

Status of API request

message
string

Message returned as part of the API response

data
object